DROP TABLE CRST_HZ_ORG_CONTACTS;

CREATE TABLE CRST_HZ_ORG_CONTACTS
(
  ORG_CONTACT_ID             NUMBER(15)         NOT NULL,
  PARTY_RELATIONSHIP_ID      NUMBER(15)         NOT NULL,
  COMMENTS                   VARCHAR2(240 BYTE),
  CONTACT_NUMBER             VARCHAR2(30 BYTE),
  DEPARTMENT_CODE            VARCHAR2(30 BYTE),
  DEPARTMENT                 VARCHAR2(60 BYTE),
  TITLE                      VARCHAR2(30 BYTE),
  JOB_TITLE                  VARCHAR2(100 BYTE),
  MAIL_STOP                  VARCHAR2(60 BYTE),
  CONTACT_KEY                VARCHAR2(50 BYTE),
  DECISION_MAKER_FLAG        VARCHAR2(1 BYTE),
  JOB_TITLE_CODE             VARCHAR2(30 BYTE),
  MANAGED_BY                 NUMBER(15),
  REFERENCE_USE_FLAG         VARCHAR2(1 BYTE),
  RANK                       VARCHAR2(30 BYTE),
  LAST_UPDATE_DATE           DATE               NOT NULL,
  LAST_UPDATED_BY            NUMBER(15)         NOT NULL,
  CREATION_DATE              DATE               NOT NULL,
  CREATED_BY                 NUMBER(15)         NOT NULL,
  LAST_UPDATE_LOGIN          NUMBER(15),
  WH_UPDATE_DATE             DATE,
  REQUEST_ID                 NUMBER(15),
  PROGRAM_APPLICATION_ID     NUMBER(15),
  PROGRAM_ID                 NUMBER(15),
  PROGRAM_UPDATE_DATE        DATE,
  ATTRIBUTE_CATEGORY         VARCHAR2(30 BYTE),
  ATTRIBUTE1                 VARCHAR2(150 BYTE),
  ATTRIBUTE2                 VARCHAR2(150 BYTE),
  ATTRIBUTE3                 VARCHAR2(150 BYTE),
  ATTRIBUTE4                 VARCHAR2(150 BYTE),
  ATTRIBUTE5                 VARCHAR2(150 BYTE),
  ATTRIBUTE6                 VARCHAR2(150 BYTE),
  ATTRIBUTE7                 VARCHAR2(150 BYTE),
  ATTRIBUTE8                 VARCHAR2(150 BYTE),
  ATTRIBUTE9                 VARCHAR2(150 BYTE),
  ATTRIBUTE10                VARCHAR2(150 BYTE),
  ATTRIBUTE11                VARCHAR2(150 BYTE),
  ATTRIBUTE12                VARCHAR2(150 BYTE),
  ATTRIBUTE13                VARCHAR2(150 BYTE),
  ATTRIBUTE14                VARCHAR2(150 BYTE),
  ATTRIBUTE15                VARCHAR2(150 BYTE),
  ATTRIBUTE16                VARCHAR2(150 BYTE),
  ATTRIBUTE17                VARCHAR2(150 BYTE),
  ATTRIBUTE18                VARCHAR2(150 BYTE),
  ATTRIBUTE19                VARCHAR2(150 BYTE),
  ATTRIBUTE20                VARCHAR2(150 BYTE),
  ATTRIBUTE21                VARCHAR2(150 BYTE),
  ATTRIBUTE22                VARCHAR2(150 BYTE),
  ATTRIBUTE23                VARCHAR2(150 BYTE),
  ATTRIBUTE24                VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY  VARCHAR2(30 BYTE),
  GLOBAL_ATTRIBUTE1          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20         VARCHAR2(150 BYTE),
  PARTY_SITE_ID              NUMBER(15),
  ORIG_SYSTEM_REFERENCE      VARCHAR2(240 BYTE) NOT NULL,
  NATIVE_LANGUAGE            VARCHAR2(30 BYTE),
  OTHER_LANGUAGE_1           VARCHAR2(30 BYTE),
  OTHER_LANGUAGE_2           VARCHAR2(30 BYTE),
  MAILING_ADDRESS_ID         NUMBER(15),
  MATCH_GROUP_ID             NUMBER(15),
  STATUS                     VARCHAR2(1 BYTE),
  OBJECT_VERSION_NUMBER      NUMBER,
  CREATED_BY_MODULE          VARCHAR2(150 BYTE),
  APPLICATION_ID             NUMBER,
  ORG_CONTACT_ID_N           NUMBER(15) 
);
